Subject: [PATCH v5 00/30] ARM Scalable Vector Extension (SVE)

From: [email-masked] (Will Deacon)
Date: Wed, 29 Nov 2017 15:21:40 +0000

On Wed, Nov 29, 2017 at 03:04:12PM +0000, Alex Benn?e wrote:
> 
> Dave Martin <[email-masked]> writes:
> 
> > This series implements Linux kernel support for the ARM Scalable Vector
> > Extension (SVE). [1]  It supersedes the previous v3: see [3] for link
> > and full cover letter.
> >
> > This is a minor update to v4, but does contain a couple of important
> > fixes.
> <snip>
> 
> I seem to have run into a regression with normal non-SVE sigcontexts
> while trying to run consecutive RISU runs in the Foundation Model. I'm
> failing to get repeatable results playing back a previous --master run.
> It works OK with the default Debian kernel.
> 
> What is the current status of the tree? I'd like to try an narrow it
> down but I seem to recall it was now in a next tree somewhere?

This is in mainline now, so please give a 4.15-rc1 build a spin. If there's
a user-visible regression then we need to get to the bottom of it ASAP.

Will